/**
 * eyesite-accessible-dropdown-menu.js
 *
 * makes dropdown menu links keyboard accessible by assigning the css class of hover to links that are in keyboard focus
 code on line 32 assigns class of screen-reader-text to search-submit button so that it will be read by screen readers despite not being
 visually present in this theme
 */
jQuery(document).ready(function($) {
$(document).ready(function()
{
    $(".main-navigation").accessibleDropDown();
});

$.fn.accessibleDropDown = function ()
{
    var el = $(this);

    /* Setup dropdown menus for IE 6 */

    $("li", el).mouseover(function() {
        $(this).addClass("hover");
    }).mouseout(function() {
        $(this).removeClass("hover");
    });

    /* Make dropdown menus keyboard accessible */

    $("a", el).focus(function() {
        $(this).parents("li").addClass("hover");
    }).blur(function() {
        $(this).parents("li").removeClass("hover");
    });
$(".search-submit").addClass("screen-reader-text");

}
});