<?php
/**
 * The sidebar containing the small widget area at the top of the page (header widget).
 this is designed to only include one small widget such as the search bar or a social media menu, 
 although it may accomodate more depending on the size of your site title, logo, and main navigation menu
 *
 * @package eyesite
 */


?>

<div id="sidebar-header" class="widget-area sidebar-header" role="complementary">
	<div class="sidebar-header-widget-container">
	<?php dynamic_sidebar( 'sidebar-header' ); ?>
		<!--add an optional social links menu-->
	<?php if ( has_nav_menu( 'social-top' ) ) : ?>
			<nav id="menu-social" class="menu-social social-top" role="navigation">
				<?php
					// Social links navigation menu.
					wp_nav_menu( array(
						'theme_location' => 'social-top',
						'depth'          => 1,
						'link_before'     => '<span class="eyesite-screen-reader-text">',//this span class pushes the words 'facebook' etc out of the way in css
						'link_after'      => '</span>',
					) );
				?>
			</nav><!-- .menu-social-->
	<?php endif; ?>
	</div><!--sidebar-header-widget-container-->
</div><!--sidebar-header-->
