<?php
/**
 * The template for displaying all single posts.
 *
 * @package eyesite
 */

get_header(); ?>

<div id="content" class="site-content">
<?php 
	//positions the sidebar based on user selection in customizer
	$sidebar_position = get_theme_mod('sidebar_position');
?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main" role="main">

		<?php while ( have_posts() ) : the_post(); ?>

			<?php get_template_part( 'content', 'single' ); ?>

			<?php eyesite_post_nav(); // calls for the custom post navigation, found in inc template-tags?>

			<?php
				// If comments are open or we have at least one comment, load up the comment template
				if ( comments_open() || get_comments_number() ) :
					comments_template();
				endif;
			?>

		<?php endwhile; // end of the loop. ?>

		</main><!-- #main -->
	</div><!-- #primary -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>
